#pragma once

#include "GuiWidget.h"

namespace blitz {

class Client;

namespace gui {

class OptionsMenu : public GuiWidget {
  private:
	bool m_ShowFPS;
	bool m_VSync;

  public:
	OptionsMenu(GuiWidget* parent, Client* client);

	virtual void Render() override;

	void OnKeyEvent(int key);
};

}  // namespace gui
}  // namespace blitz
